Skip to main content
POST
/
v1
/
custom-fields
/
batch-update-contacts
Batch update custom field values
curl --request POST \
  --url https://api.prod.getdex.com/v1/custom-fields/batch-update-contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "custom_fields": [
    {
      "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "text_value": "<string>",
      "date_value": "<string>",
      "array_value": [
        "<string>"
      ]
    }
  ]
}
'
{
  "error": true,
  "data": {
    "count": 123
  }
}

Use cases

  • Bulk-set a custom field value across many contacts (e.g., set β€œLead Source” for all imported contacts)
  • Populate custom fields during a data migration
  • Update custom field values in batch after syncing data from an external system

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Body

application/json
custom_fields
object[]
required
Minimum array length: 1

Response

Successful response

error
boolean
required
data
object
required